Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base

<DefaultClassOptions()> _
<NavigationItem("Customers")> _
Public Class CustomersOrder ' Ez azokat a partnereket tartalmazza, akik rendelkeznek elég infóval, hogy rendeljünk tőlük
    Inherits Customers
    Private _DocumentPath As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <VisibleInListView(False)> _
    <Association("CustomersOrderDocuments", GetType(CustomersOrderDocuments))> _
    Public ReadOnly Property CustomersOrderDocuments() As XPCollection(Of CustomersOrderDocuments)
        Get
            Return GetCollection(Of CustomersOrderDocuments)("CustomersOrderDocuments")
        End Get
    End Property
    <Size(900)> _
    Property DocumentPath As String
        Get
            Return _DocumentPath
        End Get
        Set(value As String)
            SetPropertyValue("DocumentPath", _DocumentPath, value)
        End Set
    End Property
End Class





